Subject: Logout issues, solution

From: Maarten Boekhold <[email-masked]>
Date: Sun, 22 Nov 2015 19:57:29 +0400

Hi,

Have the same issue on Linux Mint 17.2 and Centos 7 with xfce4-session. 
I accidentally seem to have 'fixed' this. While debugging some other 
startup issue, I wrote a wrapper script around xfce4-session 
('my-xfce4-session') which looked like:

     #!/bin/bash
     xfce4-session > ~/logfile 2>&1

After this, logging out works normally. I had a look at ~/logfile, and 
xfce4-session spits out quite a bit of text during logout, which I guess 
confuses x2go. replacing "~/logfile" with "/dev/null" nicely solved it 
on my other machine as well.

Maarten